﻿namespace BlazorFluentUI.Services
{
    public class TestDataService
    {
        public List<string> Songs { get; set; }
        public List<string> Singers { get; set; }
        public List<string> Sizes { get; set; }

        public TestDataService()
        {
            Songs = GenerateRandomHitSongs();
            Singers = GenerateRandomSingers();
            Sizes = GenerateRandomSizes();
        }

        private List<string> GenerateRandomHitSongs()
        {
            var random = new Random();
            var songs = new List<string>
            {
                "Bohemian Rhapsody", "Imagine", "Hey Jude", "Like a Rolling Stone", "I Can't Get No Satisfaction",
                "Good Vibrations", "Smells Like Teen Spirit", "What's Going On", "Hotel California", "One"
            };

            songs = songs.OrderBy(s => Guid.NewGuid()).ToList();

            var hitSongs = new List<string>();
            for (int i = 0; i < 5; i++)
            {
                hitSongs.Add(songs[random.Next(songs.Count)]);
            }

            return hitSongs;
        }

        private List<string> GenerateRandomSingers()
        {
            var random = new Random();
            var singers = new List<string>
            {
                "The Beatles", "Elvis Presley", "Michael Jackson", "Madonna", "Elton John",
                "Led Zeppelin", "Pink Floyd", "Queen", "The Rolling Stones", "U2"
            };

            singers = singers.OrderBy(s => Guid.NewGuid()).ToList();

            var randomSingers = new List<string>();
            for (int i = 0; i < 5; i++)
            {
                randomSingers.Add(singers[random.Next(singers.Count)]);
            }

            return randomSingers;
        }

        private List<string> GenerateRandomSizes()
        {
            var sizes = new List<string>
            {
                "Extra Small", "Small", "Medium", "Large", "Extra Large", "Extra Extra Large"
            };

            return sizes;
        }
    }
}
